package com.prolog.cs.biz.outbound.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel
public class WaveBillDODTO implements Serializable {
    private static final long serialVersionUID = 3830960794423572094L;

    @ApiModelProperty(value = "仓库id")
    private String warehouseId;

    @ApiModelProperty(value = "单据编号")
    private String srcCode;

    @ApiModelProperty(value = "状态 0：带索取 1：待拣选 2：待复核索取 3.待复核确认 10：完成")
    private String status;

    @ApiModelProperty(value = "货主ID")
    private String consignorId;

    @ApiModelProperty(value = "收货单位(客户)类型")
    private String shipperType;

    @ApiModelProperty(value = "收货单位(客户)编码")
    private String shipperCode;

    @ApiModelProperty(value = "收货单位(客户)名称")
    private String shipperName;

    @ApiModelProperty(value = "收货单位(客户)id")
    private String shipperId;

    @ApiModelProperty(value = "收货联系人")
    private String contactName;

    @ApiModelProperty(value = "收货联系人电话")
    private String contactTel;

    @ApiModelProperty(value = "收货地址")
    private String receiveAddress;

    @ApiModelProperty(value = "收货方式")
    private String receiveWay;

    @ApiModelProperty(value = "运输路线ID")
    private String shipLineId;

    @ApiModelProperty(value = "预定到货日")
    private Date attainDate;

    @ApiModelProperty(value = "物流商名称")
    private String carrierName;

    @ApiModelProperty(value = "订单紧急等级")
    private String priority;


    @ApiModelProperty(value = " 主键id")
    private String pickTaskId;

    @ApiModelProperty(value = "容器编号")
    private String containerCode;


    @ApiModelProperty(value = "类型（0-拼箱码 1-整件拣选码）")
    private String type;

    @ApiModelProperty(value = "条码")
    private String barcode;

    @ApiModelProperty(value = "拼箱编号")
    private Integer lclNo;

    @ApiModelProperty(value = "复核台编码")
    private String stationCode;


    @ApiModelProperty(value = "复核人工号/索取人工")
    private String checkerNo;

    @ApiModelProperty(value = "复核人名称/索取名称")
    private String checkerName;

    @ApiModelProperty(value = "复核时间/索取时间")
    private Date checkTime;

    @ApiModelProperty(value = "条码头表id")
    private String barcodeId;

    @ApiModelProperty(value = "状态（0-未打印，1-已打印）")
    private char printStatus;

    @ApiModelProperty(value = "复核状态： 0-未复核，1-已索取，5-已复核")
    private String checkStatus;

    @ApiModelProperty(value = "货主编号")
    private String consignorCode;

    @ApiModelProperty(value = "货主名称")
    private String consignorName;

    @ApiModelProperty(value = "单据类型")
    private String billType;

    @ApiModelProperty(value = "仓库名称")
    private String warehouseName;

    @ApiModelProperty(value = "仓库编码")
    private String warehouseCode;

    @ApiModelProperty(value = "运输路线编码")
    private String lineName;

    @ApiModelProperty(value = "运输路线名称")
    private String lineCode;






    @ApiModelProperty(value = "送货方式")
    private String arrivalMode;

    @ApiModelProperty(value = "销售员/业务员名称")
    private String salespersonName;

    @ApiModelProperty(value = "业务员部门")
    private String saleBranchname;

    @ApiModelProperty(value = "开票员")
    private String createby;

    @ApiModelProperty(value = "账期类型")
    private String paymentType;

    @ApiModelProperty(value = "客户地址")
    private String customerAddress;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "ERP单据编号")
    private String erpSrcCode;

    @ApiModelProperty(value = "是否合单")
    private Integer isMerged;

    @ApiModelProperty(value = "件数")
    private BigDecimal totalPcs;

    public Integer getIsMerged() {
        return isMerged;
    }

    public void setIsMerged(Integer isMerged) {
        this.isMerged = isMerged;
    }

    public String getArrivalMode() {
        return arrivalMode;
    }

    public void setArrivalMode(String arrivalMode) {
        this.arrivalMode = arrivalMode;
    }

    public String getSalespersonName() {
        return salespersonName;
    }

    public void setSalespersonName(String salespersonName) {
        this.salespersonName = salespersonName;
    }

    public String getSaleBranchname() {
        return saleBranchname;
    }

    public void setSaleBranchname(String saleBranchname) {
        this.saleBranchname = saleBranchname;
    }

    public String getCreateby() {
        return createby;
    }

    public void setCreateby(String createby) {
        this.createby = createby;
    }

    public String getPaymentType() {
        return paymentType;
    }

    public void setPaymentType(String paymentType) {
        this.paymentType = paymentType;
    }

    public String getCustomerAddress() {
        return customerAddress;
    }

    public void setCustomerAddress(String customerAddress) {
        this.customerAddress = customerAddress;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getErpSrcCode() {
        return erpSrcCode;
    }

    public void setErpSrcCode(String erpSrcCode) {
        this.erpSrcCode = erpSrcCode;
    }

    public String getConsignorCode() {
        return consignorCode;
    }

    public void setConsignorCode(String consignorCode) {
        this.consignorCode = consignorCode;
    }

    public String getConsignorName() {
        return consignorName;
    }

    public void setConsignorName(String consignorName) {
        this.consignorName = consignorName;
    }

    public String getBillType() {
        return billType;
    }

    public void setBillType(String billType) {
        this.billType = billType;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    public String getLineName() {
        return lineName;
    }

    public void setLineName(String lineName) {
        this.lineName = lineName;
    }

    public String getLineCode() {
        return lineCode;
    }

    public void setLineCode(String lineCode) {
        this.lineCode = lineCode;
    }

    public String getCheckerName() {
        return checkerName;
    }

    public void setCheckerName(String checkerName) {
        this.checkerName = checkerName;
    }

    public Date getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(Date checkTime) {
        this.checkTime = checkTime;
    }

    public String getCheckerNo() {
        return checkerNo;
    }

    public void setCheckerNo(String checkerNo) {
        this.checkerNo = checkerNo;
    }

    public String getBarcodeId() {
        return barcodeId;
    }

    public void setBarcodeId(String barcodeId) {
        this.barcodeId = barcodeId;
    }

    public char getPrintStatus() {
        return printStatus;
    }

    public void setPrintStatus(char printStatus) {
        this.printStatus = printStatus;
    }

    public String getCheckStatus() {
        return checkStatus;
    }

    public void setCheckStatus(String checkStatus) {
        this.checkStatus = checkStatus;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getBarcode() {
        return barcode;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode;
    }

    public Integer getLclNo() {
        return lclNo;
    }

    public void setLclNo(Integer lclNo) {
        this.lclNo = lclNo;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getPickTaskId() {
        return pickTaskId;
    }

    public void setPickTaskId(String pickTaskId) {
        this.pickTaskId = pickTaskId;
    }

    public String getContainerCode() {
        return containerCode;
    }

    public void setContainerCode(String containerCode) {
        this.containerCode = containerCode;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getSrcCode() {
        return srcCode;
    }

    public void setSrcCode(String srcCode) {
        this.srcCode = srcCode;
    }

    public String getConsignorId() {
        return consignorId;
    }

    public void setConsignorId(String consignorId) {
        this.consignorId = consignorId;
    }

    public String getShipperType() {
        return shipperType;
    }

    public void setShipperType(String shipperType) {
        this.shipperType = shipperType;
    }

    public String getShipperCode() {
        return shipperCode;
    }

    public void setShipperCode(String shipperCode) {
        this.shipperCode = shipperCode;
    }

    public String getShipperName() {
        return shipperName;
    }

    public void setShipperName(String shipperName) {
        this.shipperName = shipperName;
    }

    public String getShipperId() {
        return shipperId;
    }

    public void setShipperId(String shipperId) {
        this.shipperId = shipperId;
    }

    public String getContactName() {
        return contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    public String getContactTel() {
        return contactTel;
    }

    public void setContactTel(String contactTel) {
        this.contactTel = contactTel;
    }

    public String getReceiveAddress() {
        return receiveAddress;
    }

    public void setReceiveAddress(String receiveAddress) {
        this.receiveAddress = receiveAddress;
    }

    public String getReceiveWay() {
        return receiveWay;
    }

    public void setReceiveWay(String receiveWay) {
        this.receiveWay = receiveWay;
    }

    public String getShipLineId() {
        return shipLineId;
    }

    public void setShipLineId(String shipLineId) {
        this.shipLineId = shipLineId;
    }

    public Date getAttainDate() {
        return attainDate;
    }

    public void setAttainDate(Date attainDate) {
        this.attainDate = attainDate;
    }

    public String getCarrierName() {
        return carrierName;
    }

    public void setCarrierName(String carrierName) {
        this.carrierName = carrierName;
    }

    public String getPriority() {
        return priority;
    }

    public void setPriority(String priority) {
        this.priority = priority;
    }

    public BigDecimal getTotalPcs() {
        return totalPcs;
    }

    public void setTotalPcs(BigDecimal totalPcs) {
        this.totalPcs = totalPcs;
    }
}
